#ifndef INFO_VIEW_H
#define INFO_VIEW_H

#include <View.h>

extern rgb_color std_txt;

class InfoView : public BView
{
	public:
		InfoView( BRect );
		virtual ~InfoView();
		
		virtual void MessageReceived( BMessage * );
		virtual void Draw( BRect );
			
	protected:
		enum {
			num_text = 150
		};
		char		* text[num_text];
		BFont		fonts[num_text];
		rgb_color	colors[num_text];
		
		void AddText( const char *, BFont = be_plain_font, rgb_color col = std_txt );
};

#endif
